Package ru.bitel.bgbilling.plugins.dispatch.common.bean

# Class ContactType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.dispatch.common.bean.ContactType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ContactType extends IdTitle
Тип контактов

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContactType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  `String`
  `getDescription()`
  Возвращает описание типа контактов
  `String`
  `getPattern()`
  Возвращает regexp шаблон для значений контактов
  `int`
  `getPid()`
  Возвращает pid параметра по умолчанию
  `void`
  `setDescription(String description)`
  Устанавливает описание типа контактов
  `void`
  `setPattern(String pattern)`
  Устанавливает regexp шаблон для значений контактов
  `void`
  `setPid(int pid)`
  Устанавливает pid параметра по умолчанию

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContactType

    public ContactType()

- ## Method Details

  - ### setPattern

    public void setPattern(String pattern)
    Устанавливает regexp шаблон для значений контактов
    Parameters:
      `pattern` -

  - ### getPattern

    public String getPattern()
    Возвращает regexp шаблон для значений контактов
    Returns:

  - ### clone

    public Object clone()
    Overrides:
      `clone` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Id`

  - ### setDescription

    public void setDescription(String description)
    Устанавливает описание типа контактов
    Parameters:
      `description` -

  - ### getDescription

    public String getDescription()
    Возвращает описание типа контактов
    Returns:

  - ### getPid

    public int getPid()
    Возвращает pid параметра по умолчанию
    Returns:
      pid параметра по умолчанию

  - ### setPid

    public void setPid(int pid)
    Устанавливает pid параметра по умолчанию
    Parameters:
      `pid` - параметра по умолчанию